Bug 1414818 - Update affinity group drop general positive flag and moves VM to VM affinity to disabled state
Summary: Update affinity group drop general positive flag and moves VM to VM affinity ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: RestAPI
Version: 4.1.0
Hardware: x86_64
OS: Linux
high
medium
Target Milestone: ovirt-4.1.1
: 4.1.1.3
Assignee: Yanir Quinn
QA Contact: Artyom
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-19 14:45 UTC by Artyom
Modified: 2017-04-21 09:53 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-21 09:53:36 UTC
oVirt Team: SLA
rule-engine: ovirt-4.1+
rule-engine: exception+
rule-engine: planning_ack+
msivak: devel_ack+
mavital: testing_ack+


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 71693 0 master MERGED restapi: Fix VM affinity rule mapping 2017-02-14 19:46:05 UTC
oVirt gerrit 71705 0 master MERGED Fix affinity rule attribute description 2017-02-07 16:26:47 UTC
oVirt gerrit 71797 0 model_4.1 MERGED Fix affinity rule attribute description 2017-02-07 16:27:11 UTC
oVirt gerrit 72321 0 ovirt-engine-4.1 MERGED restapi: Fix VM affinity rule mapping 2017-02-15 22:27:32 UTC

Description Artyom 2017-01-19 14:45:06 UTC
Description of problem:
Update affinity group drop general positive flag

Version-Release number of selected component (if applicable):
ovirt-engine-4.1.0-0.4.master.20170115141203.git30e806b.el7.centos.noarch

How reproducible:
Always

Steps to Reproduce:
1. Create positive, hard affinity group
<affinity_group>
  <name>test_2</name>
  <enforcing>true</enforcing>
  <hosts_rule>
    <enabled>true</enabled>
    <enforcing>false</enforcing>
    <positive>true</positive>
  </hosts_rule>
  <positive>true</positive>
  <vms_rule>
    <enabled>true</enabled>
    <enforcing>true</enforcing>
    <positive>true</positive>
  </vms_rule>
  <hosts />
  <vms />
</affinity_group>
2. Update name of the affinity group
<affinity_group>
  <name>test_3</name>
</affinity_group>
3.

Actual results:
<affinity_group href="/ovirt-engine/api/clusters/00000002-0002-0002-0002-00000000017a/affinitygroups/9b80dabe-ef53-4f5c-9793-f2c8d45582d6" id="9b80dabe-ef53-4f5c-9793-f2c8d45582d6">
  <name>test_3</name>
  <enforcing>true</enforcing>
  <hosts_rule>
    <enabled>true</enabled>
    <enforcing>false</enforcing>
    <positive>true</positive>
  </hosts_rule>
  <vms_rule>
    <enabled>false</enabled>
    <enforcing>true</enforcing>
    <positive>false</positive>
  </vms_rule>
  <hosts />
  <vms />
</affinity_group>
No general positive flag at all after update, VM to VM affinity dropped to the disable state
<vms_rule>
    <enabled>false</enabled>
...

Expected results:
Update succeeds but change only things that I specified under the PU request

Additional info:
The problem relevant only for the REST API

Comment 1 Artyom 2017-03-13 08:55:34 UTC
Verified on rhevm-4.1.1.4-0.1.el7.noarch


Note You need to log in before you can comment on or make changes to this bug.